;  Copyright 1979,1983,1986 Intel Corporation

;  REGISTER DECLARATIONS FOR 80C152

;******** BYTE REGISTERS *******
P0   EQU   80H
P1   EQU   90H
P2   EQU   0A0H
P3   EQU   0B0H
PSW  EQU   0D0H
ACC  EQU   0E0H
B    EQU   0F0H
SP   EQU   81H
DPL  EQU   82H
DPH  EQU   83H
PCON EQU   87H
TCON EQU   88H
TMOD EQU   89H
TL0  EQU   8AH
TL1  EQU   8BH
TH0  EQU   8CH
TH1  EQU   8DH
IE   EQU   0A8H
IP   EQU   0B8H
SCON EQU   98H
SBUF EQU   99H


;******** 80152 SPECIFIC REGISTERS *******
GMOD   EQU   084H
TFIFO  EQU   085H
DCON0  EQU   092H
DCON1  EQU   093H
BAUD   EQU   094H
ADR0   EQU   095H
SARL0  EQU   0A2H
SARH0  EQU   0A3H
IFS    EQU   0A4H
ADR1   EQU   0A5H
SARL1  EQU   0B2H
SARH1  EQU   0B3H
SLOTTM EQU   0B4H
ADR2   EQU   0B5H
P4     EQU   0C0H
DARL0  EQU   0C2H
DARH0  EQU   0C3H
BKOFF  EQU   0C4H
ADR3   EQU   0C5H
IEN1   EQU   0C8H
DARL1  EQU   0D2H
DARH1  EQU   0D3H
TCDCNT EQU   0D4H
AMSK0  EQU   0D5H
TSTAT  EQU   0D8H
BCRL0  EQU   0E2H
BCRH0  EQU   0E3H
PRBS   EQU   0E4H
AMSK1  EQU   0E5H
RSTAT  EQU   0E8H
BCRL1  EQU   0F2H
BCRH1  EQU   0F3H
RFIFO  EQU   0F4H
MYSLOT EQU   0F5H
IPN1   EQU   0F8H



;******** BIT REGISTERS *******

;******** PSW  BITS *******
CY   EQU  0D7H
AC   EQU  0D6H
F0   EQU  0D5H
RS1  EQU  0D4H
RS0  EQU  0D3H
OV   EQU  0D2H
P    EQU  0D0H

;******** TCON BITS *******
TF1  EQU  8FH
TR1  EQU  8EH
TF0  EQU  8DH
TR0  EQU  8CH
IE1  EQU  8BH
IT1  EQU  8AH
IE0  EQU  89H
IT0  EQU  88H

;********  IE  BITS *******
EA   EQU  0AFH
ES   EQU  0ACH
ET1  EQU  0ABH
EX1  EQU  0AAH
ET0  EQU  0A9H
EX0  EQU  0A8H

;********  IP  BITS *******
PS   EQU  0BCH
PT1  EQU  0BBH
PX1  EQU  0BAH
PT0  EQU  0B9H
PX0  EQU  0B8H

;********  P3  BITS *******
RD   EQU  0B7H
WR   EQU  0B6H
T1   EQU  0B5H
T0   EQU  0B4H
INT1 EQU  0B3H
INT0 EQU  0B2H
TXD  EQU  0B1H
RXD  EQU  0B0H

;******** SCON BITS *******
SM0  EQU  9FH
SM1  EQU  9EH
SM2  EQU  9DH
REN  EQU  9CH
TB8  EQU  9BH
RB8  EQU  9AH
TI   EQU  99H
RI   EQU  98H


;********  IEN1 BITS *******
EGSTE EQU  0CDH
EDMA1 EQU  0CCH
EGSTV EQU  0CBH
EDMA0 EQU  0CAH
EGSRE EQU  0C9H
EGSRV EQU  0C8H

;********  IPN1 BITS *******
PGSTE EQU  0FDH
PDMA1 EQU  0FCH
PGSTV EQU  0FBH
PDMA0 EQU  0FAH
PGSRE EQU  0F9H
PGSRV EQU  0F8H

;********  TSTAT  BITS *******
LNI   EQU  0DFH
NOACK EQU  0DEH
UR    EQU  0DDH
TCDT  EQU  0DCH
TDN   EQU  0DBH
TFNF  EQU  0DAH
TEN   EQU  0D9H
DMA   EQU  0D8H

;********  RSTAT  BITS *******
OVR   EQU  0EFH
RCABT EQU  0EEH
AE    EQU  0EDH
CRCE  EQU  0ECH
RDN   EQU  0EBH
RFNE  EQU  0EAH
GREN  EQU  0E9H
HABEN EQU  0E8H
